OpenVDB 5.1.0

Public Types | Public Member Functions | Protected Attributes | List of all members
CsgVisitorBase< TreeType > Class Template Reference

`#include <Composite.h>`

Inherited by CsgDiffVisitor< TreeType >, CsgIntersectVisitor< TreeType >, and CsgUnionVisitor< TreeType >.

## Public Types
enum | { STOP = 3 }
typedef TreeType | TreeT
typedef TreeT::ValueType | ValueT
typedef TreeT::LeafNodeType::ChildAllIter | ChildIterT

## Public Member Functions
| CsgVisitorBase (const TreeT &aTree, const TreeT &bTree)

## Protected Attributes
ValueT | mAOutside
ValueT | mAInside
ValueT | mBOutside
ValueT | mBInside

## Detailed Description

### template<typename TreeType>
class openvdb::v5_1::tools::CsgVisitorBase< TreeType >

Base visitor class for CSG operations (not intended to be used polymorphically, so no virtual functions)

## Member Typedef Documentation

## ◆ ChildIterT

typedef TreeT::LeafNodeType::ChildAllIter ChildIterT

## ◆ TreeT

typedef TreeType TreeT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
STOP |

## Constructor & Destructor Documentation

## ◆ CsgVisitorBase()

CsgVisitorBase | ( | const TreeT & | aTree,
|  | const TreeT & | bTree
| ) |  |
| inline

## Member Data Documentation

## ◆ mAInside

ValueT mAInside
| protected

## ◆ mAOutside

ValueT mAOutside
| protected

## ◆ mBInside

ValueT mBInside
| protected

## ◆ mBOutside

ValueT mBOutside
| protected

The documentation for this class was generated from the following file:

- Composite.h